%define languageenglazy Spanish
%define languagecode    es
%define lc_ctype        es_ES

Name:           hunspell-%{languagecode}
Version:        2.4
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        LGPLv3+ or GPLv3+ or MPLv1.1
Group:          System/Internationalization
URL:            https://github.com/sbosio/rla-es/
Source0:        https://github.com/sbosio/rla-es/releases/download/v%{version}/es_ANY.oxt#/%{name}-%{version}.oxt

BuildArch:      noarch

Recommends:     hunspell

Requires:       locales-es
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-es_AR = %{version}-%{release}
Provides:       hunspell-es_BO = %{version}-%{release}
Provides:       hunspell-es_CL = %{version}-%{release}
Provides:       hunspell-es_CO = %{version}-%{release}
Provides:       hunspell-es_CR = %{version}-%{release}
Provides:       hunspell-es_CU = %{version}-%{release}
Provides:       hunspell-es_DO = %{version}-%{release}
Provides:       hunspell-es_EC = %{version}-%{release}
Provides:       hunspell-es_GT = %{version}-%{release}
Provides:       hunspell-es_HN = %{version}-%{release}
Provides:       hunspell-es_MX = %{version}-%{release}
Provides:       hunspell-es_NI = %{version}-%{release}
Provides:       hunspell-es_PA = %{version}-%{release}
Provides:       hunspell-es_PE = %{version}-%{release}
Provides:       hunspell-es_PR = %{version}-%{release}
Provides:       hunspell-es_PY = %{version}-%{release}
Provides:       hunspell-es_SV = %{version}-%{release}
Provides:       hunspell-es_US = %{version}-%{release}
Provides:       hunspell-es_UY = %{version}-%{release}
Provides:       hunspell-es_VE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-es_AR = 2
Provides:       dictionary-es_BO = 2
Provides:       dictionary-es_CL = 2
Provides:       dictionary-es_CO = 2
Provides:       dictionary-es_CR = 2
Provides:       dictionary-es_CU = 2
Provides:       dictionary-es_DO = 2
Provides:       dictionary-es_EC = 2
Provides:       dictionary-es_GT = 2
Provides:       dictionary-es_HN = 2
Provides:       dictionary-es_MX = 2
Provides:       dictionary-es_NI = 2
Provides:       dictionary-es_PA = 2
Provides:       dictionary-es_PE = 2
Provides:       dictionary-es_PR = 2
Provides:       dictionary-es_PY = 2
Provides:       dictionary-es_SV = 2
Provides:       dictionary-es_US = 2
Provides:       dictionary-es_UY = 2
Provides:       dictionary-es_VE = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode} = %{version}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype} = %{version}
Obsoletes:      myspell-es_MX < 1.0.3
Provides:       myspell-es_MX = %{version}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p es_ANY.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p es_ANY.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    for lang in ../hunspell/*.dic
    do
        lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README.txt Changelog.txt GPLv3.txt MPL-1.1.txt LGPLv3.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.4-4.mga10
+ Revision: 2205315
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.4-3.mga9
+ Revision: 1811257
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.4-2.mga8
+ Revision: 1522214
- Mageia 8 Mass Rebuild

* Wed Jan 23 2019 zezinho <zezinho> 2.4-1.mga7
+ Revision: 1360221
- new version 2.4

* Thu Sep 20 2018 umeabot <umeabot> 2.3-2.mga7
+ Revision: 1278816
- Mageia 7 Mass Rebuild

* Fri Mar 30 2018 kekepower <kekepower> 2.3-1.mga7
+ Revision: 1213596
- Removed META_INFO from source file
- Update to version 2.3
- Fixed Source0 and URL links

* Fri Feb 05 2016 umeabot <umeabot> 0.20081215.1-13.mga6
+ Revision: 938474
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20081215.1-12.mga5
+ Revision: 741883
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20081215.1-11.mga5
+ Revision: 680231
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20081215.1-10.mga4
+ Revision: 505600
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20081215.1-9.mga3
+ Revision: 353446
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20081215.1-8.mga3
+ Revision: 325250
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 0.20081215.1-7.mga2
+ Revision: 224619
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20081215.1-6.mga2
+ Revision: 207712
- use better obsoleting of myspell

* Tue Jan 17 2012 kamil <kamil> 0.20081215.1-5.mga2
+ Revision: 197170
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20081215.1-4.mga1
+ Revision: 68744
- imported package hunspell-es


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081215-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081215-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081215-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 16 2008 Caolan McNamara <caolanm@redhat.com> - 0.20081215-1
- latest version

* Mon Sep 29 2008 Caolan McNamara <caolanm@redhat.com> - 0.20051031-3
- add es_CU as Cuba for OOo

* Tue Jul 08 2008 Caolan McNamara <caolanm@redhat.com> - 0.20051031-2
- add es_US

* Mon Aug 20 2007 Caolan McNamara <caolanm@redhat.com> - 0.20051031-1
- latest version
- clarify license version

* Thu Aug 09 2007 Caolan McNamara <caolanm@redhat.com> - 0.20050510-2
- clarify license version

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20050510-1
- initial version
